> ## Documentation Index
> Fetch the complete documentation index at: https://developers.phrase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add plain comment



## OpenAPI

````yaml /openapi/phrase-tms-latest.json post /api2/v3/jobs/{jobUid}/conversations/plains/{conversationId}/comments
openapi: 3.0.0
info:
  description: |-
    Welcome to Phrase's TMS API documentation. 

     Please visit our [help center](https://support.phrase.com/hc/en-us/sections/5709662083612) for more information about the APIs. 

     If you have any questions, please contact [Support](https://support.phrase.com/hc/requests/new). 

     Please, include the `User-Agent` header with the name of your application or project. It might be a good idea to include some sort of contact information as well, so that we can get in touch if necessary. Examples of excellent `User-Agent` headers:
     > User-Agent: Example mobile app (example@phrase.com) <br/> User-Agent: ACME Inc Java 1.8 Client (http://acmeinc.com/contact)
  version: Latest
  title: Phrase TMS API
servers:
  - url: https://cloud.memsource.com/web
security:
  - ApiToken: []
  - OAuth2: []
tags:
  - name: Additional Workflow Step
  - name: Analysis
  - name: Async Request
  - name: Authentication
  - name: Automations
  - name: Bilingual File
  - name: Business Unit
  - name: Buyer
  - name: Client
  - name: Connector
  - name: Conversations
  - name: Cost Center
  - name: Custom Fields
  - name: Custom File Type
  - name: Domain
  - name: Due Date Scheme
  - name: Email Template
  - name: File
  - name: Glossary
  - name: Import settings
  - name: Job
  - name: Language AI
  - name: Language Assets
  - name: Language Quality Assessment
  - name: Machine Translation
  - name: Machine Translation Settings
  - name: Mapping
  - name: Net Rate Scheme
  - name: Notifications
  - name: Price List
  - name: Project
  - name: Project Template
  - name: Provider
  - name: Quality Assurance
  - name: Quality Profile
  - name: Quote
  - name: Reference File
  - name: SCIM
  - name: Segment
  - name: Segmentation Rules
  - name: Service
  - name: Spell Check
  - name: SubDomain
  - name: Supported Languages
  - name: Term Base
  - name: Translation
  - name: Translation Memory
  - name: User
  - name: Vendor
  - name: Webhook
  - name: Workflow Step
  - name: Workflow changes
  - name: XML Assistant
paths:
  /api2/v3/jobs/{jobUid}/conversations/plains/{conversationId}/comments:
    post:
      tags:
        - Conversations
      summary: Add plain comment
      operationId: addPlainCommentV3
      parameters:
        - name: jobUid
          in: path
          required: true
          schema:
            type: string
        - name: conversationId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        $ref: '#/components/requestBodies/AddCommentDtoV1'
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AddPlainCommentResultDtoV2'
        '400':
          description: Bad request
        '401':
          description: Not authorized
        '403':
          description: Forbidden
        '404':
          description: Resource not found
        '405':
          description: Method not allowed
        '408':
          description: Timeout
        '410':
          description: Gone
        '415':
          description: Unsupported media type
        '429':
          description: Too many requests
        '500':
          description: Internal server error
        '501':
          description: Not implemented
components:
  requestBodies:
    AddCommentDtoV1:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/AddCommentDtoV1'
  schemas:
    AddPlainCommentResultDtoV2:
      type: object
      properties:
        conversation:
          $ref: '#/components/schemas/PlainConversationDtoV1'
        id:
          type: string
          description: ID of created comment
    AddCommentDtoV1:
      type: object
      required:
        - text
      properties:
        text:
          type: string
    PlainConversationDtoV1:
      type: object
      properties:
        comments:
          type: array
          items:
            $ref: '#/components/schemas/CommentDtoV1'
        createdBy:
          $ref: '#/components/schemas/MentionableUserDtoV1'
        dateCreated:
          type: string
          format: date-time
        dateEdited:
          type: string
          format: date-time
        dateModified:
          type: string
          format: date-time
        deleted:
          type: boolean
        id:
          type: string
        references:
          $ref: '#/components/schemas/PlainReferences'
        status:
          $ref: '#/components/schemas/StatusDtoV1'
        type:
          type: string
          description: SEGMENT_TARGET
    CommentDtoV1:
      type: object
      properties:
        createdBy:
          $ref: '#/components/schemas/MentionableUserDtoV1'
        dateCreated:
          type: string
          format: date-time
        dateModified:
          type: string
          format: date-time
        id:
          type: string
        mentions:
          type: array
          items:
            $ref: '#/components/schemas/MentionDtoV1'
        text:
          type: string
    MentionableUserDtoV1:
      type: object
      properties:
        email:
          type: string
        firstName:
          type: string
        id:
          type: string
        jobRoles:
          type: array
          items:
            $ref: '#/components/schemas/JobRoleDtoV1'
        lastName:
          type: string
        role:
          type: string
          enum:
            - SYS_ADMIN
            - SYS_ADMIN_READ
            - ADMIN
            - PROJECT_MANAGER
            - LINGUIST
            - GUEST
            - SUBMITTER
            - PORTAL_MEMBER
            - BOT
        uid:
          type: string
        unavailable:
          type: boolean
        userName:
          type: string
    PlainReferences:
      type: object
      required:
        - segmentId
        - transGroupId
      properties:
        commentedText:
          type: string
        conversationTitle:
          type: string
        conversationTitleOffset:
          type: integer
          format: int32
          minimum: 0
        correlation:
          $ref: '#/components/schemas/ReferenceCorrelation'
        jobPartUid:
          type: string
          readOnly: true
        segmentId:
          type: string
        taskId:
          type: string
          readOnly: true
        transGroupId:
          type: integer
          format: int32
          minimum: 0
    StatusDtoV1:
      type: object
      properties:
        by:
          $ref: '#/components/schemas/MentionableUserDtoV1'
        date:
          type: string
          format: date-time
        name:
          type: string
          enum:
            - resolved
            - unresolved
    MentionDtoV1:
      type: object
      required:
        - mentionType
      properties:
        mentionGroupType:
          type: string
          enum:
            - JOB
            - OWNERS
            - PROVIDERS
            - GUESTS
            - WORKFLOW_STEP
        mentionType:
          type: string
          enum:
            - USER
            - GROUP
        mentionableGroup:
          $ref: '#/components/schemas/MentionableGroupDtoV1'
        tag:
          type: string
        uidReference:
          $ref: '#/components/schemas/UidReference'
        userReferences:
          type: array
          items:
            $ref: '#/components/schemas/MentionableUserDtoV1'
    JobRoleDtoV1:
      type: object
      required:
        - type
      properties:
        organizationType:
          type: string
          description: not null only for shared projects
          enum:
            - VENDOR
            - BUYER
        type:
          type: string
          enum:
            - PROJECT_OWNER
            - JOB_OWNER
            - PROVIDER
            - GUEST
        workflowStep:
          $ref: '#/components/schemas/ProjectWorkflowStepDtoV2'
    ReferenceCorrelation:
      type: object
      properties:
        role:
          type: string
          enum:
            - PARENT
        uid:
          type: string
    MentionableGroupDtoV1:
      type: object
      properties:
        groupName:
          type: string
        groupReference:
          $ref: '#/components/schemas/UidReference'
        groupType:
          type: string
          enum:
            - JOB
            - OWNERS
            - PROVIDERS
            - GUESTS
            - WORKFLOW_STEP
    UidReference:
      type: object
      required:
        - uid
      properties:
        uid:
          type: string
    ProjectWorkflowStepDtoV2:
      type: object
      properties:
        abbreviation:
          type: string
        id:
          type: integer
          format: int64
        name:
          type: string
        workflowLevel:
          type: integer
          format: int32
        workflowStep:
          $ref: '#/components/schemas/WorkflowStepReferenceV2'
    WorkflowStepReferenceV2:
      type: object
      properties:
        id:
          type: string
        lqaEnabled:
          type: boolean
        name:
          type: string
        order:
          type: integer
          format: int32
        uid:
          type: string
  securitySchemes:
    ApiToken:
      description: >-
        Get a token from `auth/login` [endpoint](#operation/login) and then pass
        it in the `Authorization` HTTP header in every subsequent API call. For
        more information visit our [help
        center](https://support.phrase.com/hc/en-us/articles/5709662181404-API-Authentication-TMS-#token-0-0).
      type: apiKey
      name: Authorization
      in: header
    OAuth2:
      description: >-
        A standard OAuth 2.0 authorization code flow. For more information visit
        our [help
        center](https://support.phrase.com/hc/en-us/articles/5709662181404-API-Authentication-TMS-#oauth-2-0-0-1).
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://cloud.memsource.com/web/oauth/authorize
          tokenUrl: https://cloud.memsource.com/web/oauth/token
          scopes: {}

````